<vn>
<vn-group>
	<vn-param id="user-name"/>
	<vn-hash-param key="user" param="user-name"/>
</vn-group>
<div id="title">
	<h1><t>UserManagement</t></h1>
</div>
<div id="actions">
	<htk-search-entry
		param="user-name"/>
</div>
<div id="form" class="users">
	<div class="box">
		<htk-repeater form-id="iter">
			<db-model property="model">
				<custom>
					SELECT u.id, u.name, c.Cliente
						FROM account.user u
						INNER JOIN vn2008.Clientes c ON u.id = c.Id_Cliente
							WHERE u.name LIKE CONCAT('%', #user, '%')
							OR c.Cliente LIKE CONCAT('%', #user, '%')
							OR u.id = #user
							ORDER BY u.name LIMIT 200
				</custom>
				<sql-batch property="batch">
					<custom>
						<item name="user" param="user-name"/>
					</custom>
				</sql-batch>
			</db-model>
			<custom>
				<div class="users-box">
					<htk-button
						form="iter"
						column="id"
						tip="_AccessAsUser"
						icon="incognito"
						on-click="onChangeUserClick"/>
					<htk-button
						form="iter"
						column="id"
						tip="_AccessLog"
						icon="gnome"
						on-click="onAccessLogClick"/>
					<p class="important">
						<htk-text form="iter" column="Cliente"/>
					</p>
					<p>
						<htk-text form="iter" column="id"/> - 
						<htk-text form="iter" column="name"/>
					</p>
					<div class="clear"/>
				</div>
			</custom>
		</htk-repeater>
	</div>
</div>
</vn>
